Open CASCADE Technology: StepAP214_PersonAndOrganizationItem Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepAP214_PersonAndOrganizationItem Class Reference

`#include <StepAP214_PersonAndOrganizationItem.hxx>`

Inheritance diagram for StepAP214_PersonAndOrganizationItem:
[legend]

## Public Member Functions
| StepAP214_PersonAndOrganizationItem ()
| Returns a PersonAndOrganizationItem SelectType. More...
virtual Standard_Integer | CaseNum (const Handle< Standard_Transient > &ent) const
| Recognizes a APersonAndOrganizationItem Kind Entity that is : 1 -> AppliedOrganizationAssignment 2 -> AssemblyComponentUsageSubstitute 3 -> DocumentFile 4 -> MaterialDesignation 5 -> MechanicalDesignGeometricPresentationRepresentation 6 -> PresentationArea 7 -> Product 8 -> ProductDefinition 9 -> ProductDefinitionFormation 10 -> ProductDefinitionRelationship 11 -> PropertyDefinition 12 -> ShapeRepresentation 13 -> SecurityClassification 0 else. More...
Handle < StepAP214_AppliedOrganizationAssignment > | AppliedOrganizationAssignment () const
| returns Value as a AppliedOrganizationAssignment (Null if another type) More...
Public Member Functions inherited from StepAP214_ApprovalItem
| StepAP214_ApprovalItem ()
| Returns a ApprovalItem SelectType. More...
virtual Handle < StepRepr_AssemblyComponentUsageSubstitute > | AssemblyComponentUsageSubstitute () const
| returns Value as a AssemblyComponentUsageSubstitute (Null if another type) More...
virtual Handle < StepBasic_DocumentFile > | DocumentFile () const
| returns Value as a DocumentFile (Null if another type) More...
virtual Handle < StepRepr_MaterialDesignation > | MaterialDesignation () const
| returns Value as a MaterialDesignation (Null if another type) More...
virtual Handle < StepVisual_MechanicalDesignGeometricPresentationRepresentation > | MechanicalDesignGeometricPresentationRepresentation () const
| returns Value as a MechanicalDesignGeometricPresentationRepresentation (Null if another type) More...
virtual Handle < StepVisual_PresentationArea > | PresentationArea () const
| returns Value as a PresentationArea (Null if another type) More...
virtual Handle< StepBasic_Product > | Product () const
| returns Value as a Product (Null if another type) More...
virtual Handle < StepBasic_ProductDefinition > | ProductDefinition () const
| returns Value as a ProductDefinition (Null if another type) More...
virtual Handle < StepBasic_ProductDefinitionFormation > | ProductDefinitionFormation () const
| returns Value as a ProductDefinitionFormation (Null if another type) More...
virtual Handle < StepBasic_ProductDefinitionRelationship > | ProductDefinitionRelationship () const
| returns Value as aProductDefinitionRelationship (Null if another type) More...
virtual Handle < StepRepr_PropertyDefinition > | PropertyDefinition () const
| returns Value as a PropertyDefinition (Null if another type) More...
virtual Handle < StepShape_ShapeRepresentation > | ShapeRepresentation () const
| returns Value as a ShapeRepresentation (Null if another type) More...
virtual Handle < StepBasic_SecurityClassification > | SecurityClassification () const
| returns Value as a SecurityClassification (Null if another type) More...
Public Member Functions inherited from StepData_SelectType
Standard_Boolean | Matches (const Handle< Standard_Transient > &ent) const
| Returns True if the Type of an Entity complies with the definition list of the SelectType. Also checks for a SelectMember Default Implementation looks for CaseNum or CaseMem positive. More...
void | SetValue (const Handle< Standard_Transient > &ent)
| Stores an Entity. This allows to define a specific SelectType class with one read method per member Type, which returns the Value casted with the good Type. More...
void | Nullify ()
| Nullifies the Stored Entity. More...
const Handle < Standard_Transient > & | Value () const
| Returns the Stored Entity. Can be used to define specific read methods (see above) More...
Standard_Boolean | IsNull () const
| Returns True if there is no Stored Entity (i.e. it is Null) More...
Handle< Standard_Type > | Type () const
| Returns the Effective (Dynamic) Type of the Stored Entity If it is Null, returns TYPE(Transient) More...
Standard_Integer | CaseNumber () const
| Recognizes the Type of the stored Entity, or zero if it is Null or SelectMember. Calls the first method CaseNum on Value. More...
virtual Handle< StepData_PDescr > | Description () const
| Returns the Description which corresponds to <me> Null if no specific description to give. This description is used to control reading an check validity. Default returns a Null Handle, i.e. undefined description It can suffice if CaseNum and CaseMem give enough control. More...
virtual Handle < StepData_SelectMember > | NewMember () const
| Returns a preferred SelectMember. Default returns a Null By default, a SelectMember can be set according to data type and Name : it is a SelectNamed if Name is defined. More...
virtual Standard_Integer | CaseMem (const Handle< StepData_SelectMember > &ent) const
| Recognize a SelectMember (kind, name). Returns a positive value which identifies the case in the List of immediate cases (distinct from the List of Entity Types). Zero if not recognizes Default returns 0, saying that no immediate value is allowed. More...
Standard_Integer | CaseMember () const
| Returns the Type of the stored SelectMember, or zero if it is Null or Entity. Calls the method CaseMem on Value. More...
Handle< StepData_SelectMember > | Member () const
| Returns Value as a SelectMember. Null if not a SelectMember. More...
Standard_CString | SelectName () const
| Returns the type name of SelectMember. If no SelectMember or with no type name, returns an empty string To change it, pass through the SelectMember itself. More...
Standard_Integer | Int () const
| This internal method gives access to a value implemented by an Integer (to read it) More...
void | SetInt (const Standard_Integer val)
| This internal method gives access to a value implemented by an Integer (to set it) : a SelectMember MUST ALREADY BE THERE ! More...
Standard_Integer | Integer () const
| Gets the value as an Integer. More...
void | SetInteger (const Standard_Integer val, const Standard_CString name="")
| Sets a new Integer value, with an optional type name Warning : If a SelectMember is already set, works on it : value and name must then be accepted by this SelectMember. More...
Standard_Boolean | Boolean () const
void | SetBoolean (const Standard_Boolean val, const Standard_CString name="")
StepData_Logical | Logical () const
void | SetLogical (const StepData_Logical val, const Standard_CString name="")
Standard_Real | Real () const
void | SetReal (const Standard_Real val, const Standard_CString name="")
virtual void | Destroy ()
virtual | ~StepData_SelectType ()

## Constructor & Destructor Documentation

StepAP214_PersonAndOrganizationItem::StepAP214_PersonAndOrganizationItem | ( |  | ) |

Returns a PersonAndOrganizationItem SelectType.

## Member Function Documentation

Handle< StepAP214_AppliedOrganizationAssignment > StepAP214_PersonAndOrganizationItem::AppliedOrganizationAssignment | ( |  | ) | const

returns Value as a AppliedOrganizationAssignment (Null if another type)

virtual Standard_Integer StepAP214_PersonAndOrganizationItem::CaseNum | ( | const Handle< Standard_Transient > & | ent | ) | const
| virtual

Recognizes a APersonAndOrganizationItem Kind Entity that is : 1 -> AppliedOrganizationAssignment 2 -> AssemblyComponentUsageSubstitute 3 -> DocumentFile 4 -> MaterialDesignation 5 -> MechanicalDesignGeometricPresentationRepresentation 6 -> PresentationArea 7 -> Product 8 -> ProductDefinition 9 -> ProductDefinitionFormation 10 -> ProductDefinitionRelationship 11 -> PropertyDefinition 12 -> ShapeRepresentation 13 -> SecurityClassification 0 else.

Reimplemented from StepAP214_ApprovalItem.

The documentation for this class was generated from the following file:

- StepAP214_PersonAndOrganizationItem.hxx